Summary:        PAM module to authenticate with HTTP servers
Name:           pam_url
Version:        0.3.3
Release:        1%{?dist}
Epoch:          1
License:        GPLv2
Group:          System Environment/Base
URL:            https://fedorahosted.org/pam_url
Source:         https://fedorahosted.org/releases/p/a/pam_url/%{name}-%{version}.tar.bz2
Requires:       pam
BuildRequires:  pam-devel, libcurl-devel, libconfig-devel

%description
The pam_url module enables you to authenticate users against a Web application,
such as totpcgi.

%prep
%setup -q

%build
CFLAGS="%{optflags} -std=c99" make %{?_smp_mflags} pamlib=%{_lib}/security all

%install
make DESTDIR=%{buildroot} pamlib=%{_lib}/security install

%files
%defattr(-,root,root,-)
%doc AUTHOR COPYING INSTALL README examples
%config(noreplace) %{_sysconfdir}/pam_url.conf
/%{_lib}/security/pam_url.so


%changelog
* Mon Nov 18 2013 Konstantin Ryabitsev <icon@fedoraproject.org> - 1:0.3.3-1
- Upstream 0.3.3 with minor new features.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 06 2012 Dan Horák <dan[at]danny.cz> - 0.3.2-2
- fix build on all 64-bit arches

* Tue Dec 04 2012 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3.2-1
- Upstream 0.3.2 with fixes for correct pam stacking.

* Wed Nov 28 2012 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3.1-1
- Upstream 0.3.1 with fixes for memory corruption on 32-bit platforms.

* Wed Nov 28 2012 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.3-1
- Upstream 0.3 with support for CA_CERT, plus minor bugfixes.

* Mon Nov 19 2012 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.2-1
- Prepare for 0.2 release
- Set the epoch to 1 to solve branching issues with other releases
- Add doc files

* Tue May 08 2012 Andrew Wilcox <corgi@fedorapeople.org> 0.1-1
- Bring spec up to date with current guidelines (no clean/Buildroot)
- Modified CFLAGS
- Prettified description
- Set config file path

* Sun Mar 14 2010 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org>
- Added dependency to libconfig

* Tue Jun 09 2009 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org>
- Minor changes to description and summary. 
- Changed build step to common rpm optflags.

* Sun May 03 2009 Sascha Thomas Spreitzer <sspreitzer@fedoraproject.org>
- First shot of rpm spec.

